/* $Id: CompExprChar.java,v 2.1 2002/05/15 14:47:34 hnetynka Exp $ */
package SOFA.SOFAnode.Made.CDL; 
import SOFA.SOFAnode.Made.TIR.*;
import java.rmi.RemoteException;

class CompExprChar extends CompExprOper {
  public char value;
  public CompExprChar(char val) {
    super(CompExprKind.e_char);
    value = val;
  }

  public int type() { return CompExprKind.e_char; }
  public boolean isProp() { return false; }
  public int isPositive() {
    return -2;
  }

  public EnumList nameProp(CompRepository rep) throws CDLExceptRemote, CDLExceptLock {
    EnumList l = new EnumList();
    return l;
  }

  public ExprOperDef toNormal(CDLRepository rep) throws CDLExceptToNormal, CDLExceptRemote, CDLExceptLock {
    try {
      return ((Repository) rep.get_containing_repository()).create_exprchar(value);
    } catch (RemoteException e) {
      throw new CDLExceptRemote("Remote exception occured: "+e.getMessage());
    } catch (TIRExceptCreate ecr) {
      throw new CDLExceptToNormal("Can't create expression");
    }
  }

  public String toString() {
    return new Character(value).toString();
  }
      
}
