/* $Id: CompPrimitive.java,v 2.0 2002/02/15 13:54:48 hnetynka Exp $ */
package SOFA.SOFAnode.Made.CDL;
import SOFA.SOFAnode.Made.TIR.*;
import java.rmi.RemoteException;

class CompPrimitive extends CompObjectIm implements CompType {
  public int kind;
  public CompPrimitive(int kind) {
    super(ObjectsKind.o_Primitive);
    this.kind = kind;
  }

  public CDLType toNormal(CDLRepository newRep) throws CDLExceptRemote, CDLExceptToNormal {
    try {
      return newRep.get_primitive(kind);
    } catch (RemoteException e) {
      throw new CDLExceptRemote("Remote exception occured: "+e.getMessage());
    } catch (TIRExceptCreate e) {
      throw new CDLExceptToNormal("Can't get primitve type\n"+e.getMessage());
    }
  }

  public void checkConsist(EnumList props, CompRepository rep) {}
}
