/* $Id: CompUnionMember.java,v 2.0 2002/02/15 13:54:50 hnetynka Exp $ */
package SOFA.SOFAnode.Made.CDL;

class CompUnionMember extends CompContainedIm {
  public CompType tp;
  public List labels;

  public CompUnionMember(ID name, CompContainer parent, CompRepository rep, CompType t, List lb) {
    super(ObjectsKind.o_UnionMember, name, parent, rep);
    id.version = ((CompContained)parent).getIdent().version;
    tp = t;
    labels = lb;
  }

  public void checkConsist(EnumList props, CompRepository rep) throws CDLExceptCheck, CDLExceptLock, CDLExceptRemote {
    tp.checkConsist(props, rep);
    labels.toFirst();
    for (int i=0;i<labels.size();i++) {
      if (!CompExprOper.testPropInExpr(props, ((CompExprOper) labels.aktual()).nameProp(rep)))
        throw new CDLExceptCheck("Unknown property");
    }
  }
}
