/* $Id: Main.java,v 2.0 2002/02/15 13:55:01 hnetynka Exp $ */
package SOFA.SOFAnode.Made.CodeGen;

/** Main class of code generator run from command line.
  * 
  * @author Petr Hnetynka
  */
public class Main {
  public static void main(String[] argv) {
    try {
      System.setSecurityManager(new java.rmi.RMISecurityManager());

      Output.setOut(new SOFA.SOFAnode.Made.ConsoleLogger());
      if (argv.length == 0) {
        Output.out.println(Res.res.getString("MSG_Error")+": "+Res.res.getString("MSG_NoArg"));
      }
      
      Generator gen = new Generator(argv);
      gen.generate();
      Output.out.println(Res.res.getString("MSG_End"));
      
    } catch (Exception e) {
      System.out.println(e.getMessage());
      e.printStackTrace();
    } catch (Error e) {
      System.out.println(e.getMessage());
      e.printStackTrace();
    }
  }
}
