/* $Id: Logger.java,v 2.0 2002/02/15 13:54:43 hnetynka Exp $ */
package SOFA.SOFAnode.Made;

/** Logger interface.
  *
  * @author Petr Hnetynka
  */
public interface Logger {
  public static final int Black = 0;
  public static final int White = 1;
  public static final int Yellow = 2;
  public static final int Green = 3;
  public static final int Red = 4;
  public static final int Blue = 5;
  public static final int Magenta = 6;
  public static final int Cyan = 7;

  public void print(String s);
  public void print(Object o);
  public void println(String s);
  public void println(Object o);
  public void flush();

  /** clear output */
  public void reset();

  public void setColor(int color);
  public int getColor();
  public boolean supportColors();
  public boolean supportReset();
}
