/* $Id: ExprOperKind.java,v 2.0 2002/02/15 13:55:08 hnetynka Exp $ */
package SOFA.SOFAnode.Made.TIR;
import java.rmi.Remote;
import java.rmi.RemoteException;

/** Kinds of expression objects */
public interface ExprOperKind extends Remote {
  public static final int eok_or = 0;
  public static final int eok_xor = 1;
  public static final int eok_and = 2;
  public static final int eok_shr = 3;
  public static final int eok_shl = 4;
  public static final int eok_plus = 5;
  public static final int eok_minus = 6;
  public static final int eok_mul = 7;
  public static final int eok_div = 8;
  public static final int eok_mod = 9;
  public static final int eok_unminus = 10;
  public static final int eok_unplus = 11;
  public static final int eok_untilde = 12;
  public static final int eok_short = 13;
  public static final int eok_long = 14;
  public static final int eok_longlong = 15;
  public static final int eok_unsigshort = 16;
  public static final int eok_unsiglong = 17;
  public static final int eok_unsiglonglong = 18;
  public static final int eok_float = 19;
  public static final int eok_double = 20;
  public static final int eok_longdouble = 21;
  public static final int eok_fixed = 22;
  public static final int eok_property = 23;
  public static final int eok_constant = 24;
  public static final int eok_valuegen = 25;
  public static final int eok_enum = 26;
  public static final int eok_octet = 27;
  public static final int eok_char = 28;
  public static final int eok_wchar = 29;
  public static final int eok_string = 30;
  public static final int eok_wstring = 31;
  public static final int eok_default = 32;
  public static final int eok_boolean = 33;
  public int value() throws RemoteException;
}
