/* $Id: TIRImplObject.java,v 2.0 2002/02/15 13:55:38 hnetynka Exp $ */
package SOFA.SOFAnode.Made.TIR.Impl;
import java.rmi.Remote;
import java.rmi.RemoteException;
import SOFA.SOFAnode.Made.TIR.*;

interface TIRImplObject extends Remote{
  public void save(Storage st) throws RemoteException, TIRExceptStorage;
  public void load(Storage st) throws RemoteException, TIRExceptStorage;
  /* some kinds of object haven't set all attributes correctly,
     postLoad fix these */
  public void postLoad(RepositoryImpl r) throws RemoteException, TIRExceptStorage;
  public boolean isNew() throws RemoteException;
  public void canCommit() throws RemoteException, TIRExceptCommit;
  public void doCommit(Container in, Repository rep) throws RemoteException;
  public void doAbort(long workId) throws RemoteException;
}
