/* $Id: ManageProfiles.java,v 2.0 2002/02/15 13:55:11 hnetynka Exp $ */
package SOFA.SOFAnode.Made.TIR;
import java.rmi.Remote;
import java.rmi.RemoteException;

/** Interface for magement of profiles */
public interface ManageProfiles extends TIRObject {
  /** Returns all defined profiles */
  public ProfileDef[] all_profiles() throws RemoteException, TIRExceptLock;
  /** Search profile with given name */
  public ProfileDef lookup(String name) throws RemoteException, TIRExceptLock;
  /** Create new profile */
  public ProfileDef create_profile(String name) throws RemoteException, TIRExceptLock, TIRExceptCreate;
}
