/* $Id: ManageRepository.java,v 2.0 2002/02/15 13:55:11 hnetynka Exp $ */
package SOFA.SOFAnode.Made.TIR;
import java.rmi.Remote;
import java.rmi.RemoteException;

/** Interface for magement of repository. */
public interface ManageRepository extends Remote {
  /** Explicit save of repository. */
  public void save() throws RemoteException, TIRExceptSave; 
  /** Return array of active (not commited, not aborted) work repositories. */
  public WorkRepository[] getActiveWork() throws RemoteException;
}
