/* $Id: WorkRepository.java,v 2.0 2002/02/15 13:55:16 hnetynka Exp $ */
package SOFA.SOFAnode.Made.TIR;
import java.rmi.RemoteException;

/** Interface for "work" repository. You can call create_* methods on it */
public interface WorkRepository extends Container, Repository {
  /** Returns id of this work repository */
  public String workIdent() throws RemoteException;
  /** Commiting changes */
  public boolean commit() throws RemoteException, TIRExceptCommit;
  /** Aborting changes */
  public boolean abort() throws RemoteException;
  /** Returns actual profile */
  public ProfileDef profile() throws RemoteException;
}
