/* $Id: DeplDockSRole.java,v 1.6 2002/07/31 10:15:38 hnetynka Exp $ */
package SOFA.Connector.Boot;

import SOFA.SOFAnode.Run.Deployment.DeplDock;

/** SRole for DeplDock.
  *
  * @author Petr Hnetynka
  */
public class DeplDockSRole extends SOFA.Connector.RoleBaseImpl implements CNDeplDock {
  
  private SOFA.SOFAnode.Run.Deployment.DeplDock tgt = null;

  public DeplDockSRole() {}

  public void link(Object target) throws SOFA.Connector.LinkException {
    tgt = (DeplDock) target;
  }

  public SOFA.SOFAnode.Run.Deployment.TechnologyDescriptor[] describeUnderlyingEnvironment() {
    return tgt.describeUnderlyingEnvironment();
  }
  
  public SOFA.Connector.Reference instantiate(SOFA.SOFAnode.Run.Deployment.DeploymentDescriptor dd, String name) throws SOFA.SOFAnode.Run.Deployment.DeploymentException {
    return tgt.instantiate(dd, name);
  }

  public String[] namesOfAllRunningComponents() {
    return tgt.namesOfAllRunningComponents();
  }
  
  public String[] namesOfAllRunningApplications() {
    return tgt.namesOfAllRunningApplications();
  }

  public SOFA.Connector.Reference getReference(String name) throws SOFA.SOFAnode.Run.Deployment.DeploymentException {
    return tgt.getReference(name);
  }

  public void removeComponent(String name) throws SOFA.SOFAnode.Run.Deployment.DeploymentException {
    tgt.removeComponent(name);
  }
}
