/*
 * CCNSAccess.java
 *
 * Created on 7. duben 2002, 10:23
 */

package SOFA.Connector.CCNSAccess;

import java.rmi.*;

/**
 *
 * @author  ghort
 * @version 
 */
public class CCNSAccess {

	public static SOFA.SOFAnode.Run.CCNS.ConnectorCacheNS openCCNS() throws CCNSAccessException {
		try {
			System.setSecurityManager(new java.rmi.RMISecurityManager());
			String rmiport = System.getProperty("sofa.rmiport","1999");
			String rmihost = System.getProperty("sofa.rmihost","localhost");
			
      String rminame="//"+rmihost+":"+rmiport+"/CCNS";
			return (SOFA.SOFAnode.Run.CCNS.ConnectorCacheNS)Naming.lookup(rminame);
		} catch (Exception e) { 
			throw new CCNSAccessException("Cannot access CCNS.",e);
		}
	}
}
