/*
 * SRoleImplGen.java
 *
 * Created on 13. duben 2002, 21:08
 */

package SOFA.Connector.EEG.EEM.Elements;

import SOFA.SOFAnode.Made.TIR.*;
import SOFA.SOFAnode.Made.TIR.Access.TIRAccessMethods;
import SOFA.Connector.EEG.CodeWriter.*;
import SOFA.Connector.EEG.EEM.Actions.*;

/**
 *
 * @author  ghort
 * @version 
 */
public class SRoleImplGen extends JImplWriterDirectorBase {

	/** Creates new SRoleImplGen */
	public SRoleImplGen(String provIfaceCDL, SOFA.Connector.Property[] params) {
		super(provIfaceCDL,params);
	}

	public String[] getImplements() {
		return new String[] {"SOFA.Connector.EEG.Types.SRole"};
	}

	public String getExtends() {
		return "SOFA.Connector.EEG.ElementRoleBase";
	}

	public String getClassBody() {
		return linkImpl();
	}

	public String getMethodDef(OperationDef mt) throws JWriterDirectorException {
		return JIfaceCN.getMethodDef(mt);
	}
	
	public String getMethodBody(OperationDef method) throws JWriterDirectorException {
		return 
			"\t\t"+declareRet(method,"ret")+"\n"+
			"\t\tSOFA.Component.ThreadIDRegistry thrReg=manager.getThrIDRegistry();\n"+
			"\t\tthrReg.threadInCall(thr_id);\n"+
			"\n"+
			"\t\t"+assignRet(method,"ret")+targetCall(method,JIfaceNormal.targetCallParams(method))+";\n"+
			"\n"+
			"\t\tthrReg.threadOutReturn(thr_id);\n"+
			"\t\t"+returnRet(method,"ret");
	}
	 
}
