/* $Id: CompObject.java,v 2.0 2002/02/15 13:54:48 hnetynka Exp $ */
package SOFA.SOFAnode.Made.CDL;

/** parent for all new objects from CDL source */
interface CompObject {
  /** returns kind of the object */
  public int objectKind();
  /** if object is Container */
  public boolean isContainer();
  /** do final checks of the consitency */
  public void checkConsist(EnumList props, CompRepository rep) throws CDLExceptCheck, CDLExceptLock, CDLExceptRemote;
}
