package SOFA.SOFAnode.Made.TIR.Access.Tests;
import SOFA.SOFAnode.Made.TIR.*;
import java.rmi.Naming;
import java.rmi.RemoteException;
import java.io.*;

/** Tests of adding profiles */
public class AddProfile {
  public static void main(String[] argv) {
    try { 
      System.setSecurityManager(new java.rmi.RMISecurityManager());

      BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
      String rmiport = System.getProperty("sofa.rmiport","1099");
      String rmihost = System.getProperty("sofa.rmihost","localhost");
      System.out.print("Connecting to repository...");
      Repository rep = (Repository) Naming.lookup("//"+rmihost+":"+rmiport+"/Repository");
      System.out.println("OK");
      System.out.print("Getting work repository...");
      WorkRepository work = rep.beginChanges(null);
      System.out.println("OK");
      System.out.print("Getting profiles object...");
      ManageProfiles mProf = work.getProfiles();
      System.out.println("OK");
      boolean ok = false;
      String a = new String("");
      while (!ok) {
        System.out.print("Name of new profile: ");
        a = in.readLine();
        if (a.compareTo("")!=0)
          ok = true;
      }
      System.out.print("Creating profile...");
      mProf.create_profile(a);
      System.out.println("OK");
      System.out.print("Commiting changes...");
      if (work.commit())
        System.out.println("OK");
      else 
        System.out.println("NO!");
    } catch (Exception e) {
      System.out.println("Exception: " + e.getMessage());
      e.printStackTrace();
    }
  }
}
