/* $Id: PrimitiveDefImpl.java,v 2.0 2002/02/15 13:55:34 hnetynka Exp $ */
package SOFA.SOFAnode.Made.TIR.Impl;
import SOFA.SOFAnode.Made.TIR.*;
import java.rmi.Remote;
import java.rmi.RemoteException;
import java.rmi.server.UnicastRemoteObject;

public class PrimitiveDefImpl extends UnicastRemoteObject implements PrimitiveDef {
  DefinitionKindImpl defKindImpl;
  PrimitiveKindImpl  primKindImpl;
  StateKindImpl stKindImpl;

  public PrimitiveDefImpl(int p_kind, int state) throws RemoteException {
    defKindImpl = new DefinitionKindImpl(DefinitionKind.dk_Primitive);
    primKindImpl = new PrimitiveKindImpl(p_kind);
    stKindImpl = new StateKindImpl(state);
  }
  
  /* from interface TIRObject */
  public DefinitionKind get_def_kind() throws RemoteException {
    return (DefinitionKind) defKindImpl;
  }

  /* from interface PrimitiveDef */
  public PrimitiveKind kind() throws RemoteException {
    return (PrimitiveKind) primKindImpl;
  }

  /* from interface TIRObject */
  public StateKind get_state() throws RemoteException {
    return (StateKind) stKindImpl;
  }
}
